org.apache.commons.beanutils.locale.converters

## Class ShortLocaleConverter

- java.lang.Object
- - org.apache.commons.beanutils.locale.BaseLocaleConverter
  - - org.apache.commons.beanutils.locale.converters.DecimalLocaleConverter
    - - org.apache.commons.beanutils.locale.converters.ShortLocaleConverter

- All Implemented Interfaces:
    Converter, LocaleConverter

      public class ShortLocaleConverter
      extends DecimalLocaleConverter

  Standard `LocaleConverter` implementation that converts an incoming locale-sensitive String into a `java.lang.Short` object, optionally using a default value or throwing a `ConversionException` if a conversion error occurs.

  Version:
    $Id: ShortLocaleConverter.java 1747095 2016-06-07 00:27:52Z ggregory $

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.beanutils.locale.BaseLocaleConverter

      `locale, locPattern, pattern, useDefault`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShortLocaleConverter()` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
    `ShortLocaleConverter(boolean locPattern)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
    `ShortLocaleConverter(Locale locale)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
    `ShortLocaleConverter(Locale locale, boolean locPattern)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
    `ShortLocaleConverter(Locale locale, String pattern)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
    `ShortLocaleConverter(Locale locale, String pattern, boolean locPattern)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
    `ShortLocaleConverter(Object defaultValue)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
    `ShortLocaleConverter(Object defaultValue, boolean locPattern)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
    `ShortLocaleConverter(Object defaultValue, Locale locale)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
    `ShortLocaleConverter(Object defaultValue, Locale locale, boolean locPattern)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
    `ShortLocaleConverter(Object defaultValue, Locale locale, String pattern)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
    `ShortLocaleConverter(Object defaultValue, Locale locale, String pattern, boolean locPattern)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `parse(Object value, String pattern)` Convert the specified locale-sensitive input object into an output object of the specified type.

    - ### Methods inherited from class org.apache.commons.beanutils.locale.BaseLocaleConverter

      `convert, convert, convert, convert`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShortLocaleConverter

          public ShortLocaleConverter()

      Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine and an unlocalized pattern is used for the convertion.

    - #### ShortLocaleConverter

          public ShortLocaleConverter(boolean locPattern)

      Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine.
      Parameters:
        `locPattern` - Indicate whether the pattern is localized or not

    - #### ShortLocaleConverter

          public ShortLocaleConverter(Locale locale)

      Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. An unlocalized pattern is used for the convertion.
      Parameters:
        `locale` - The locale

    - #### ShortLocaleConverter

          public ShortLocaleConverter(Locale locale,
                                      boolean locPattern)

      Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
      Parameters:
        `locale` - The locale
        `locPattern` - Indicate whether the pattern is localized or not

    - #### ShortLocaleConverter

          public ShortLocaleConverter(Locale locale,
                                      String pattern)

      Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. An unlocalized pattern is used for the convertion.
      Parameters:
        `locale` - The locale
        `pattern` - The convertion pattern

    - #### ShortLocaleConverter

          public ShortLocaleConverter(Locale locale,
                                      String pattern,
                                      boolean locPattern)

      Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
      Parameters:
        `locale` - The locale
        `pattern` - The convertion pattern
        `locPattern` - Indicate whether the pattern is localized or not

    - #### ShortLocaleConverter

          public ShortLocaleConverter(Object defaultValue)

      Create a `LocaleConverter` that will return the specified default value if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine and an unlocalized pattern is used for the convertion.
      Parameters:
        `defaultValue` - The default value to be returned

    - #### ShortLocaleConverter

          public ShortLocaleConverter(Object defaultValue,
                                      boolean locPattern)

      Create a `LocaleConverter` that will return the specified default value if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine.
      Parameters:
        `defaultValue` - The default value to be returned
        `locPattern` - Indicate whether the pattern is localized or not

    - #### ShortLocaleConverter

          public ShortLocaleConverter(Object defaultValue,
                                      Locale locale)

      Create a `LocaleConverter` that will return the specified default value if a conversion error occurs. An unlocalized pattern is used for the convertion.
      Parameters:
        `defaultValue` - The default value to be returned
        `locale` - The locale

    - #### ShortLocaleConverter

          public ShortLocaleConverter(Object defaultValue,
                                      Locale locale,
                                      boolean locPattern)

      Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
      Parameters:
        `defaultValue` - The default value to be returned
        `locale` - The locale
        `locPattern` - Indicate whether the pattern is localized or not

    - #### ShortLocaleConverter

          public ShortLocaleConverter(Object defaultValue,
                                      Locale locale,
                                      String pattern)

      Create a `LocaleConverter` that will return the specified default value if a conversion error occurs. An unlocalized pattern is used for the convertion.
      Parameters:
        `defaultValue` - The default value to be returned
        `locale` - The locale
        `pattern` - The convertion pattern

    - #### ShortLocaleConverter

          public ShortLocaleConverter(Object defaultValue,
                                      Locale locale,
                                      String pattern,
                                      boolean locPattern)

      Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
      Parameters:
        `defaultValue` - The default value to be returned
        `locale` - The locale
        `pattern` - The convertion pattern
        `locPattern` - Indicate whether the pattern is localized or not

  - ### Method Detail

    - #### parse

          protected Object parse(Object value,
                                 String pattern)
                          throws ParseException

      Convert the specified locale-sensitive input object into an output object of the specified type. This method will return values of type Short.
      Overrides:
        `parse` in class `DecimalLocaleConverter`
      Parameters:
        `value` - The input object to be converted
        `pattern` - The pattern is used for the convertion
      Returns:
        The converted value
      Throws:
        `ConversionException` - if conversion cannot be performed successfully
        `ParseException` - if an error occurs parsing a String to a Number
      Since:
        1.8.0

Copyright © 2000–2016 The Apache Software Foundation. All rights reserved.